Definition of Terms

General:

ID Identifier; general identification

RT Backward transformation

TCP Tool centre point

VT Forward transformation

MK Machine coordinates

MKS Machine coordinate system

WKS Workpiece coordinate system

Other abbreviations

HDi: Kinematic offset dimension


Introduction

Listed below are kinematic transformations with 3, 4,5 or 6 axes that are required for machines with non-cartesian axis arrangement or with rotary axes for setting the orientation if programming shall be performed in the workpiece coordinate system. The result in this case will usually be non-linear equations that reflect the correlation between workpiece coordinates and machine coordinates.

Workpiece axes are axes which can be located in kinematic sequence in the workpiece. Tool axes are axes which can be located in kinematic sequence in the tool.

The two different types of of transformation are:

− RTCP transformation : In this case the positions are programed in workpiece coordinate system, the commands for adjustment of tool orientation are done via programming of the rotary machine axes (e. g. B and C depending on machine type). The automatic aligning of tool orientation to rotated coordinate systems is available by specific functions.

example of NC program line: N10 X100 Y20 Z30 B0 C0

− Complete transformation : In this case the position and orientation of tool is programmed with vector coordinates with 6 elements independent of machine type. (*)

example of NC program line: N10 X100 Y20 Z30 A0 B0 C1

(*) Depending on degree of freedom of kinematic only the position can be programmed with 3 coordinates (e. g. Tripod).

The ID that is required for using a specific kinematic feature results from the specified kinematic type as follows:

KIN_TYP_1 1

KIN_TYP_2 2

.....etc.

The offset values HDi corresponds to the kinematic specific offset values in the channel parameters (kinematik[ID].wz_kopf_versatz[i-1] to version 2.6.0 respectively kinematik[ID]. param[i-1] from version 2.6.3). Alternatively the parameter settings of this values can be done in the tool parameters (P-TOOL-00009). The unit of offset parameters is 0.1 μ m. axis. With active kinematic transformation axis specific tool offsets in ax_versatz[<axis index>] are only taken into consideration if axes are not influenced by transformation function. For RTCP transformation type these axes are all axes above the first three axes with index 0 to 2.

The necessary kinematic specific axis configuration setting has to be done in the channel parameters. It is essential to use the correct axis index sequence for the selected transformation.

More:

button Rotary axes and direction of rotation

button Linear axis and moving direction


Rotary axes and direction of rotation

The following figure shows the positive direction of rotation of rotary axes. The base is a right-handed coordinate system. If the rotation is counter-clockwise with look at the arrowhead of the coordinate system axes, the rotation is called positive. If the rotary axis is rotating around the X axis, then it is called "A axis", with rotating around the Y axis "B axis" and so on. If not separately stated, this directions of rotation are used in the kinematic tranformations with rotary axes involved.

Figure 1- 1 : Coordinate systems and moving directions


Linear axis and moving direction

The moving directions of linear axes have to be adjusted in such a way, that the relative movement between tool an workpiece is the same as in 2.5 D mode. This means if we have a linear axis moving the workpiece, the moving direction is in opposite to the axis direction of the workpiece axis.


KIN_TYP_1

More:

button Kinematic Structure


Kinematic Structure

The kinematic structure of this machine consists of two translatory axes and one rotary axis in the workpiece, and one translatory axis and one rotary axis in the tool.

Axis configuration in NC channel
Axis designation | X,Y, Z, B, C
Axis index | 0, 1, 2, 3, 4
Kinematic structure
 | Tool axes | Workpiece axes
NC axes | Z, B | X, Y, C

Figure 2-1: Kinematic structure of the single-column bed machine

Here, you need the geometry constants HD1 and HD2. Figure 2-2 shows the correlation.

The rotation of the workpiece table rotates the workpiece coordinate system, but not the machine coordinate system.

Figure 2-2: The four variables L, TX, HD1 and HD2 of the swivel head

Offset data of the kinematic structure:

HD offset | param[i] | Description
HD1 | 0 | Axis offset from tool holding device to rotation point of B Axis
HD2 | 1 | Y Axis offset from rotation point of B axis to rotation point of A axis
HD3 | 2 | X Axis offset from rotation point of B axis to rotation point of A axis


KIN_TYP_3, 4

More:

button Kinematic Structure


Kinematic Structure

The kinematic structure of the machine consists of three translatory axes and one rotary axis in the tool (double spindle head).

Axis configuration in NC channel
Axis designation | X, Y, Z, B
Axis index | 0, 1, 2, 3
Kinematic structure
 | Tool axes | Workpiece axes
NC axes | X, Y, Z, B | -

Figure 2-3: Kinematic structure of the 4-axis milling machine with double spindle head

Figure 2-4: Side view and front view of the double spindle head

Figure 2-4 shows the structure of the milling head for the zero position of the B axis. It features two spindles (referred to in this document as top and bottom spindle, irrespective of the current position of the B axis) so that two tools may be clamped that are rotated by 180° against each other.

The selection of the currently active spindle and/or tool should be possible through a command in the NC program.

If the top spindle is active, the programmed value for the B axis must be modified as follows:

Thus, changing spindles means rotating the B axis through an angle of 180° and, caused by the geometry constants with active RTCP, translating all three linear axes.

Offset data of the kinematic structure:

HD offset | param[i] | Description
HD1 | 0 | X Axis offset from tool holding device to rotation point of C Axis
HD2 | 1 | Y Offset from rotation point of C axis to reference point for tool 1 and 2
HD3 | 2 | X Offset from rotation point of C axis to reference point for tool 3 and 4
HD4 | 3 | Z axis offset of tool holding device
HD5 | 4 | Rotation offset of C axis
HD7 | 6 | Static tool offset in X
HD8 | 7 | Static tool offset in Y


KIN_TYP_6

More:

button Kinematic Structure


Kinematic Structure

The kinematic structure consists of three translatory axes and one rotary axis in the tool. As a peculiarity, the tool of this kinematic structure points in the positive Z direction.

Axis configuration in NC channel
Axis designation | X, Y, Z, C
Axis index | 0, 1, 2, 3
Kinematic structure
 | Tool axes | Workpiece axes
NC axes | X, Y, Z, C | -

Figure 2-5: Four-axis kinematic structure with underfloor milling tool

Figure 2-6: Tool head for underfloor milling (home position with HD4 = 0)

The axes are arranged in the sense of a right-handed system. The home position of the C axis is in the positive direction of the Y axis.

The automatic orientation setting of the 4-axis tool head with manually adjustable A axis depends on the position of the A axis. If the physical machine axis position and the value in the HD parameter of the A axis do not agree, correct automatic alignment is not possible.

Offset data of the kinematic structure:

HD offset | param[i] | Description
HD1 | 0 | Z Axis offset from tool holding device to rotation point of A axis (auxiliary)
HD2 | 1 | Z axis offset of tool holding device to rotation point of C axis
HD3 | 2 | Fixed angle for manual auxiliary A axis
HD4 | 3 | Rotation offset of C axis
HD5 | 4 | Y offset rotation axis A to rotation axis C
HD6 | 5 | X offset from to tool reference point rotation to rotation point of C axis
HD7 | 6 | Static tool offset in X
HD8 | 7 | Static tool offset in Y


KIN_TYP_8

More:

button Kinematic Structure


Kinematic Structure

The kinematic structure consists of three translatory NC axes and one rotary NC axis in the tool. In addition, there is a fifth rotary axis that can manually be set. This fifth axis cannot be addressed from the NC program.

Axis configuration in NC channel
Axis designation | X, Y, Z, C
Axis index | 0, 1, 2, 3
Kinematic structure
 | Tool axes | Workpiece axes
NC axes | X, Y, Z, C | -
Auxiliary axes | A | -

Figure 2-7: Four-axis kinematic structure (sawing tool with manual auxiliary axis A)

Figure 2-8: Four-axis sawing tool (home position with HD5 = 0, CM=0, HD4 = +90))

Offset data of the kinematic structure:

HD offset | param[i] | Description
HD2 | 1 | Y Axis offset from tool holding device to rotation point of A Axis (auxiliary)
HD3 | 2 | Z axis offset rotation point of A axis to tool reference point
HD4 | 3 | Fixed angle for manual auxiliary A axis
HD5 | 4 | Rotation offset of C axis
HD7 | 6 | Static tool offset in X
HD8 | 7 | Static tool offset in Y


KIN_TYP_9

More:

button Kinematic Structure


Kinematic Structure

The kinematic structure consists of three translatory NC axes and two rotary NC axes in the tool.

Axis configuration in NC channel
Axis designation | X, Y, Z, C, A
Axis index | 0, 1, 2, 3, 4
Kinematic structure
 | Tool axes | Workpiece axes
NC axes | X, Y, Z, C, A | -

Figure 2-9: Five-axis kinematic structure (boring and milling set)

Figure 2-10: Five-axis boring and milling tool (home position with HD3 = 0, AM=0, HD4 = 0, CM=0)

The automatic orientation setting of the four-axis tool head with manually adjustable A axis depends on the position of the A axis. If the physical machine axis position and the value in the HD parameter of the A axis do not agree, correct automatic alignment will not possible.

Offset data of the kinematic structure:

HD offset | param[i] | Description
HD1 | 0 | Z Axis offset from tool holding device to rotation point of A axis (auxiliary)
HD2 | 1 | Z axis offset rotation point of A axis to tool reference point
HD3 | 2 | Rotation offset of A axis
HD4 | 3 | Rotation offset of C axis
HD5 | 4 | Y axis offset of rotation point C axis
HD6 | 5 | X axis offset of rotation point C axis
HD7 | 6 | Static tool offset in X
HD8 | 7 | Static tool offset in Y


KIN_TYP_10

More:

button Kinematic Structure


Kinematic Structure

The kinematic structure consists of three translatory NC axes and two rotary NC axes in the tool.

Axis configuration in NC channel
Axis designation | X, Y, Z, C, A
Axis index | 0, 1, 2, 3, 4
Kinematic structure
 | Tool axes | Workpiece axes
NC axes | X, Y, Z, C, A | -

Figure 2-11: Five-axis kinematic structure (sawing tool)

Figure 2-12: Five-axis sawing tool (home position with HD5 = 0, CM=0, HD4 = +90, AM =90)

Offset data of the kinematic structure:

HD offset | param[i] | Description
HD2 | 1 | Y Axis offset from tool holding device to rotation point of A Axis (auxiliary)
HD3 | 2 | Z axis offset rotation point of A axis to tool reference point
HD4 | 3 | Rotation offset of A axis
HD5 | 4 | Rotation offset of C axis
HD7 | 6 | Static tool offset in X
HD8 | 7 | Static tool offset in Y


KIN_TYP_11

More:

button Kinematic Structure


Kinematic Structure

The kinematic structure consists of three translatory cartesian axes and two rotary axes. As a peculiarity, the machine features the slanting B axis.

Axis configuration in NC channel
Axis designation | X, Y, Z, A, B
Axis index | 0, 1, 2, 3, 4
Kinematic structure
 | Tool axes | Workpiece axes
NC axes | X, Y, B | Z, A

Figure 2-13: Axis configuration of the five-axis machine with oblique angle head

Figure 2-14: Angle and lengths at the oblique angle head

The design of the slanting B axis is the most striking feature of the kinematic structure. If the tool length is selected such that the TCP (tool centre point) lies exactly on the extension of the B axis, compensation movements in the translatory axes are not necessary when the tool orientation via the B axis changes (compensation movements due to changes in the A axis orientation are always necessary). If the selected tool length is not ideal (i.e. if the TCP is not exactly on the extension of the B axis), there are minor additional compensation movements on the linear axes that depend on the deviation from the ideal length.

Due to the particular design of the B axis, there can be no singular points in the backward transformation of the orientation axes. On the other hand, not all tool orientations can be selected (see below).

The home positions of the machine axes XM, YM, ZM are selected such that the fictitious extensions of AM und BM intersect. The home position of BM is selected such that the tool is in a vertical position and, consequently, parallel to Z0 if bM=0 Figure 2-13 shows the home position of BM). The home position of AM should expediently be selected such that the Y0, Z0 workpiece axes run in parallel to the directions of the machine axes.

HDZ represents the ideal tool length as a geometry parameter of the kinematic machine structure. HD1 represents the first tool head parameter, and L represents the actual tool length (cutter length).

Please note that l is a signed value, and may therefore be negative.

Offset data of the kinematic structure:

HD offset | param[i] | Description
HD1 | 0 | Z axis offset tool holding device to tool reference point
HD2 | 1 | Ideal tool length
HD3 | 2 | Angle beetween rotation axis B and A


KIN_TYP_12

More:

button Kinematic Structure


Kinematic Structure

The kinematic strut structure (referred to as tripod) consists of three translatory axes in a non-cartesian arrangement. Strut pairs that are parallel to each other carry the tool holder platform. The tool orientation is constant.

Axis configuration in NC channel
Axis designation | X, Y, Z (Z1, Z2, Z3)
Axis index | 0, 1, 2
Kinematic structure
 | Tool axes | Workpiece axes
NC axes | X, Y, Z | -

Figure 2-15: Kinematic tripod structure

Figure 2-16: Vector representation of the kinematic strut structure

Figure 2-17: Offset dimensions of the kinematic strut structure

With the Paramter HD8 can be toggled between an ideal (1) and non-ideal (0) Tripod. An ideal Tripod has an angle of 120 ° between each strut. The non-ideal Tripod angles beetween the struts can be defined with the parameters HD9 and HD10. In this case the third angle is calculated:

Offset data of the kinematic structure:

HD offset | param[i] | Description
HD1 | 0 | Tool offset Z
HD2 | 1 | Tool offset Y
HD3 | 2 | Tool offset X
HD4 | 3 | Z offset of machine reference point
HD5 | 4 | Radius to the centerpoint of the drives joint on each strut (big circle)
HD6 | 5 | Radius to the centerpoint of Steward plattforms joints (small circle)
HD7 | 6 | strut length to the joint centerpoint
HD8 | 7 | Switch between ideal or not ideal tripod transformation (makes HD9 / HD 10 available)
HD9 | 8 | Angle between joint / strut 3 to joint / strut 1
HD10 | 9 | Angle between joint / strut 3 to joint / strut 2


KIN_TYP_16

More:

button Kinematic Structure


Kinematic Structure

The kinematic structure consists of three translatory NC axes and two rotary NC axes in the tool.

Axis configuration in NC channel
Axis designation | X, Y, Z, B, A
Axis index | 0, 1, 2, 3, 4
Kinematic structure
 | Tool axes | Workpiece axes
NC axes | X, Y, Z, B, A | -

Figure 2-18: Five-axis kinematic structure

Figure 2-19: Parameter of rotary/swivel head

Offset data of the kinematic structure:

HD-offset | param[i] | Description
HD1 | 0 | Z Axis offset from tool holding device to rotation point of B Axis
HD2 | 1 | X Axis offset from tool holding device to rotation point of B Axis
HD3 | 2 | Y Axis offset from tool holding device to rotation point of B Axis
HD4 | 3 | Z Offset to tool head
HD5 | 4 | X Offset to tool head
HD6 | 5 | Y Offset to tool head
HD7 | 6 | Rotation offset A axis
HD8 | 7 | Rotation offset B axis
HD9 | 8 | Sign for direction of rotation A axis
HD10 | 9 | Sign for direction of rotation B axis


KIN_TYP_17

More:

button Kinematic Structure


Kinematic Structure

The kinematic structure consists of three translatory NC axes. In addition, there are rotary axes which can manually be set. These axes cannot be addressed from the NC program.

Axis configuration in NC channel
Axis designation | X, Y, Z
Axis index | 0, 1, 2
Kinematic structure
 | Tool axes | Workpiece axes
NC axes | X, Y, Z | -
Auxiliary axes | C, A | -

Figure 2-20: Three-axes kinematic structure (boring and milling tool with manual auxiliary axis C and A)

Figure 2-21: Boring and milling tool (home position with HD3 = 0, HD4 = 0)

The axes are arranged in the sense of a right-handed system. The home position of the A axis is in the negative direction of the Z axis.

The automatic orientation setting of the tool head with manually adjustable C and A axis is not possible.

Offset data of the kinematic structure:

HD offset | param[i] | Description
HD1 | 0 | Z Axis offset from tool holding device to rotation point of A axis (auxiliary)
HD2 | 1 | Z axis offset of tool holding device to rotation point of C axis
HD3 | 2 | Fixed angle for manual auxiliary A-axis
HD4 | 3 | Fixed angle for manual auxiliary C-axis
HD5 | 4 | Y offset rotation axis A to rotation axis C
HD6 | 5 | X offset from to tool reference point rotation to rotation point of C axis
HD7 | 6 | Static tool offset in X
HD8 | 7 | Static tool offset in Y


KIN_TYP_18

More:

button Kinematic Structure


Kinematic Structure

The kinematic structure consists of three translatory NC axes. In addition, there are rotary axes which can manually be set. These axes cannot be addressed from the NC program.

Axis configuration in NC channel
Axis designation | X, Y, Z
Axis index | 0, 1, 2
Kinematic structure
 | Tool axes | Workpiece axes
NC axes | X, Y, Z | -
Auxiliary axes | C, A | -

Figure 2-22: Three-axes kinematic structure (sawing tool with manual auxiliary axes C and A)

Figure 2-23: Sawing tool (home position with HD5 = 0, HD4 = +90))

Offset data of the kinematic structure:

HD offset | param[i] | Description
HD2 | 1 | Y Axis offset from tool holding device to rotation point of A Axis (auxiliary)
HD3 | 2 | Z axis offset rotation point of A axis to tool reference point
HD4 | 3 | Fixed angle for manual auxiliary A axis
HD5 | 4 | Fixed angle for manual auxiliary C axis
HD7 | 6 | Static tool offset in X
HD8 | 7 | Static tool offset in Y


KIN_TYP_19

More:

button Kinematic Structure


Kinematic Structure

The kinematic strut structure (referred to as tripod) consists of three translatory axes in a non-cartesian arrangement and two cartesian axes. Three struts with ball joint carry the workpiece holder platform. The orientation and Z position of workpiece depends on position of the three non cartesian axes.

Axis configuration in NC channel
Axis designation | X, Y, Z, U, V, W (X,Y,Z1,Z2,Z3,W)
Axis index | 0, 1, 2, 3, 4, 5
Kinematic structure
 | Tool axes | Workpiece axes
NC axes | X, Y | Z1, Z2, Z3

Figure 2-24: Tripod Kinematic

Figure 2-25: Offset dimensions of the kinematic strut structure

Offset data of the kinematic structure:

HD-offset | param[i] | Description
HD1 | 0 | Tool offset Z
HD2 | 1 | Strut length to the centerpoint of joints
HD3 | 2 | Radius the centerpoint of Steward plattforms joints (small circle)
HD4 | 3 | Radius to the centerpoint of the drives on strut joints (big circle)
HD5 | 4 | Distance beetween Steward plattform joint and the workpiece platform


KIN_TYP_21

More:

button Kinematic Structure


Kinematic Structure

The kinematic structure of this machine consists of three translatory NC axes and one rotary NC axis in the tool.

Axis configuration in NC channel
Axis designation | X, Y, Z, C (X1, X2, Z, C)
Axis index | 0, 1, 2, 3
Kinematic structure
 | Tool axes | Workpiece axes
NC axes | X,Y, Z, C | -

Figure 2-26: Lambda kinematic

The plane XY kinematic is known as a variant of the shear kinematics. The struts (lengths l2, l1) are connected to the two linear sliders XM1 and XM2 via the rotary joints C and B. On point D these struts also are connected via a rotary joint. The strut CA (length l3) is attached to the strut CD with the fixed angle β . The C axis is located on the top of this strut. The real tool holding strut (length l4) starts in the rotary point of the C axis and ends in the TCP. Related to the cartesian axes the C axis is not mechanically guided, this means it has to be compensated in dependency of the joint position.

Figure 2- 27 : Lambda kinematic, variant 1

Figure 2- 28 : Lambda kinematic, variant 2

Offset data of the kinematic:

Parameter | Description | HD offset | param[i]
- | Z offset to the fixing point WZ | HD1 | 0
l1 | Strut length 1 | HD2 | 1
l2 | Strut length 2 | HD3 | 2
l3 | Strut length 3 | HD4 | 3
g_s | Offset joint points C to B | HD5 | 4
β | Fix angle between strut CD and CA | HD6 | 5
m1_off | Y position of drive 1, related to Y zero point WKS | HD7 | 6
phi_min | Minimum value for angle ϕ (0 ° ) | HD8 | 7
phi_max | Maximum value for angle ϕ (90 ° ) | HD9 | 8
- | X offset | HD10 | 9
L4 | Gripper offset | HD11 | 10
- | Variant of kinematic | HD12 | 11


KIN_TYP_22

More:

button Kinematic Structure


Kinematic Structure

The kinematic structure of this machine consists of two translatory axes in workpiece, two rotary axis and one translatory axis in the tool.

Axis configuration in NC channel
Axis designation | X, Y, Z, A, B
Axis index | 0, 1, 2, 3, 4
Kinematic structure
 | Tool axes | Workpiece axes
NC axes | Z, A, B | X, Y

Figure 2-29: Five-axis kinematic structure

Figure 2-30: Offset data of kinematic

Offset data of kinematic:

HD-offset | param[i] | Description
HD1 | 0 | Z Axis offset from tool holding device to rotation point of A / B Axis
HD4 | 3 | Rotation sign rotary axis A
HD5 | 4 | Rotation sign rotary axis B


KIN_TYP_23

More:

button Kinematic Structure


Kinematic Structure

The kinematic structure of this machine consists of two translatory axes in workpiece, one translatory axis in the tool and one rotary axis in workpiece and the tool.

Axis configuration in NC channel
Axis designation | X, Y, Z, A, B
Axis index | 0, 1, 2, 3, 4
Kinematic structure
 | Tool axes | Workpiece axes
NC axes | Z, A | X, Y, B

Figure 2-31: Axis configuration of five axes machine

Figure 2-32: Offset of kinematic structure

Offset data of kinematic:

HD-offset | param[i] | Description
HD1 | 0 | Axis offset from tool holding device to rotation point of A Axis
HD2 | 1 | Distance rotation point B axis to working piece platform
HD4 | 3 | Rotation sign rotary axis A
HD5 | 4 | Rotation sign rotary axis B


KIN_TYP_28

More:

button Kinematic Structure


Kinematic Structure

The kinematic structure consists of three translatory NC axes and two rotary NC axes in the tool.The physical angle positions of tool head C, A are realized with two gear linked axes.

Axis configuration in NC channel
Axis designation | X, Y, Z, C (C1), A(C2)
Axis index | 0, 1, 2, 3, 4
Kinematic structure
 | Tool axes | Workpiece axes
NC axes | X, Y, Z, C (C1), A (C2) | -

Figure 2-33: Five-axis kinematic structure (boring and milling set)

Figure 2-34: Tool head (home position with HD3 = 0, A=0, HD4 = 0, C=0)

Offset data of the kinematic structure:

HD offset | param[i] | Description
HD1 | 0 | Z Axis offset from tool holding device to rotation point of A axis (auxiliary)
HD2 | 1 | Z axis offset rotation point of A axis to tool reference point
HD3 | 2 | Rotation offset of A axis
HD4 | 3 | Rotation offset of C axis
HD5 | 4 | Y axis offset of rotation point C axis
HD6 | 5 | X axis offset of rotation point C axis
HD7 | 6 | Static tool offset in X
HD8 | 7 | Static tool offset in Y
HD9 | 8 | Y offset milling tool axis to rotation point of A-axis
HD10 | 9 | n. u.
HD11 | 10 | Zero point offse of CA gear link
HD12 | 11 | Gear link factor numerator
HD13 | 12 | Gear link factor denominator
HD14 | 13 | sign rotary axis C
HD15 | 14 | Sign rotary axis A

The gear link between C and A axis is absolute and is done as shown in the following equations:

The rotary axes of the tool head has to be adjusted as linear axis or rotary axis with sufficient large modulo range. The soft limit monitoring in channel is working on output position of transformation (drive position) depending on limits in machine data parameters.


KIN_TYP_30

More:

button Kinematic Structure


Kinematic Structure

The kinematic structure of this machine consists of three translatory axes in tool, and one rotary axis in tool.

Axis configuration in NC channel
Axis designation | X, Y, Z, A
Axis index | 0, 1, 2, 3
Kinematic structure
 | Tool axes | Workpiece axes
NC axes | X, Y, Z, A | -

Figure 2-35: Axis configuration of four axes machine (boring and milling tool)

Figure 2-36: Offsets of four axes boring and milling tool

Caused by the rotary axis A, automatic orientation of the 4 axes tool is limited to YZ plane.

Offset data of the kinematic structure:

HD-Versatz | param[i] | Description
HD1 | 0 | Z Axis offset from tool holding device to rotation point of A Axis
HD2 | 1 | X Axis offset from tool holding device to rotation point of A Axis
HD3 | 2 | Y Axis offset from tool holding device to rotation point of A Axis
HD4 | 3 | Rotation sign of A axis
HD5 | 4 | Rotary offset of A axis
HD6 | 5 | X-Offset rotation point A-axis to reference point tool slide
HD7 | 6 | Y-Offset rotation point A-axis to reference point tool slide
HD8 | 7 | Z-Offset rotation point A-axis to reference point tool slide


KIN_TYP_33

More:

button Kinematic Structure


Kinematic Structure

The kinematic structure of this machine consists of three translatory and two rotary axes in tool.As a special feature this kinematic structure needs no compensation movement of translatory axes because of mechanical construction.

Axis configuration in NC channel
Axis designation | X, Y, Z, C, A
Axis index | 0, 1, 2, 3, 4
Kinematic structure
 | Tool axes | Workpiece axes
NC axes | X, Y, Z, C, A | -

Figure 2-37: 5 axes kinematics with inclined tool head axis

Figure 2-38: Inclined tool head axis in zero position, HD7=0

Figure 2-39: Inclined tool head axis with 180 degree offset, HD7=1

Figure 2-40: Static offsets in X, Y plane

Offset data of kinematic structure:

HD offset | param[i] | Description
HD3 | i = 2 | angle of inclined head axis
HD4 | i = 3 | static X axis offset
HD5 | i = 4 | static Y axis offset
HD6 | i = 5 | static Z axis offset
HD7 | i = 6 | C-axis compensation sign, necessary if rotator axis has 180 degrees C-axis offset in zero position (see Figure 2-39)


KIN_TYP_34

More:

button Kinematic Structure


Kinematic Structure

The kinematic structure of this machine consists of two translatory axes in tool, one translatory and one rotary axis in workpiece.

Axis configuration in NC channel
Axis designation | X, Y, Z, C
Axis index | 0, 1, 2, 3
Kinematic structure
 | Tool axes | Workpiece axes
NC axes | Y, Z | X,C

Figure 2-41: Four axes C axis-kinematics

Figure 2-42: Offset in turning center of rotary C workpiece axis

Offset data of kinematic:

HD-offset | param[i] | Description
HD2 | 1 | MCS Offset X
HD3 | 2 | MCS Offset Y


KIN_TYP_36

More:

button Kinematic structure

button Right handed, left handed


Kinematic structure

TwinCAT CNC: Overview

Kinematic structur e

The robot kinematic consists of three rotatary and one translatory NC-axes in tool. In Z-axis direction tool length correction is done. All rotary axes are from type C axis.

Axis configuration in NC channel
Axis designation | X, Y, Z, C (C1, C2, Z, C3)
Axis index | 0, 1, 2, 3
Kinematic structure
 | Tool axes | Workpiece axes
NC axes | X,Y, Z, C | -

Figure 2-43: SCARA kinematic

Figure 2-44: SCARA kinematic in zero position (C1=0, C2=0, C3=0)

Depending on angular position of robot joint 2 (C2) the SCARA works as left or right handed robot. The machine axis position before activation of transformation determines if the robot moves as left or right handed SCARA. Change from left handed robot to right handed robot can be done with inactive transformation.


Right handed, left handed

Figure 2-45: Right handed, C2 >=0, bzw. < 180degrees

Figure 2-46: Left handed C2 <=0 bzw. > 180 degrees

Offset data of kinematic:

HD-offset | param[i] | Description
HD1 | 0 | WZ length offset in z-direction
HD2 | 1 | offset joint 1 to joint 2
HD3 | 2 | offset joint 2 to axis C3
HD4 | 3 | x-offset zero point C1 axis
HD5 | 4 | y-offset zero point C1 axis
HD6 | 5 | rotary offset C1 axis


KIN_TYP_52

More:

button Kinematic structure


Kinematic structure

The kinematic structure of this machine consists of three translatory axes and two rotary axis in workpiece.

Axis configuration in NC channel
Axis designation | X, Y, Z, A, B
Axis index | 0, 1, 2, 3, 4
Kinematic structure
 | Tool axes | Workpiece axes
NC axes | X,Y | Z, A, B

Figure 2-47: Kinematic of the 5-axes milling machine

Fehler! Es ist nicht möglich, durch die Bearbeitung von Feldfunktionen Objekte zu erstellen.

Figure 2-48: Definition of the offset parameters

In the figure above the kinematic for the machine axes positions Z = 0, Y = 0 and A = 0 is displayed.

Offset data of kinematic:

HD-offset | param[i] | Description
HD0 | 0 | Offset A axis rotation point to tool holding center.
HD1 | 1 | Y offset of tool
HD2 | 2 | Y zero point offset of toolpiece coordinate system to rotation point of A axis
HD3 | 3 | Sign for direction of rotation A axis
HD4 | 4 | Sign for direction of rotation B axis


KIN_TYP_57

More:

button Kinematic structure


Kinematic structure

TwinCAT CNC: Overview

Kinematic structur e

The kinematic structure of this machine consists of three translatory axes in tool and two rotary NC axis in workpiece.

Axis configuration in NC channel
Axis designation | X, Y, Z, B, C
Axis index | 0, 1, 2, 3, 4
Kinematic structure
 | Tool axes | Workpiece axes
NC axes | X, Y, Z | B, C

Figure 2-49: Kinematic structure of 5 axes machine with BC workpiece table

Figure 2-50: Tool offsets and offsets to the B axis

Figure 2-51: X, Y offsets to the B axis

The machine origin ca be shifted by the parameters HD7..HD9. Differing zero positions of the rotary axes B and C can be adjusted by the parameters HD10 and HD11 in a way, that the internal kinematic model matches to the real machine kinematic. In the same way also differing rotation directions of the B and C axes can be adjusted by the parameters HD12 and HD13. Then, in general in the axes parameters also the signs of commanded and actual values have to be adjusted correspondingly.

Offset data of kinematic:

HD-offset | param[i] | Description
HD1 | 0 | Z tool offset from work holding point to reference point of tool slide SBP
HD2 | 1 | X axis offset from work holding point to reference point of tool slide SBP
HD3 | 2 | Y axis offset from work holding point to reference point of tool slide SBP
HD4 | 3 | X axis offset from rotation axis B to rotation axis C, origin WCS
HD5 | 4 | Y axis offset from rotation axis B to rotation axis C, origin WCS
HD6 | 5 | Z axis offset from rotation axis B to rotation axis C, origin WCS
HD7 | 6 | X offset from machine origin MNP to rotation axis B
HD8 | 7 | Y offset from machine origin MNP to rotation axis B
HD9 | 8 | Z offset from machine origin MNP to rotation axis B
HD10 | 9 | Rotation offset B axis
HD11 | 10 | Rotation offset C axis
HD12 | 11 | Flag of rotation direction B axis
HD13 | 12 | Flag of rotation direction C axis


KIN_TYP_58

More:

button Kinematic structure


Kinematic structure

The kinematic structure of this machine consists of three translatory axes in tool and two rotary NC axis in workpiece.

Axis configuration in NC channel
Axis designation | X, Y, Z, A, C
Axis index | 0, 1, 2, 3, 4
Kinematic structure
 | Tool axes | Workpiece axes
NC axes | X, Y, Z | A, C

Figure 2-52: Kinematic structure of 5 axes machine with AC workpiece table

Figure 2-53: Tool offsets and offsets to the A axis

Figure 2-54: X, Y offsets between A and C axis

Usually the machine origin is placed in the rotation axis A. If necessary, it can be shifted by the parameters HD7..HD9. Differing zero positions of the rotary axes A and C can be adjusted by the parameters HD10 and HD11 in a way, that the internal kinematic model matches to the real machine kinematic. In the same way also differing rotation directions of the A and C axes can be adjusted by the parameters HD12 and HD13. Then, in general in the axes parameters also the signs of commanded and actual values have to be adjusted correspondingly.

Offset data of kinematic:

HD-offset | param[i] | Description
HD1 | 0 | Z tool offset from work holding point to reference point of tool slide SBP
HD2 | 1 | X axis offset from work holding point to reference point of tool slide SBP
HD3 | 2 | Y axis offset from work holding point to reference point of tool slide SBP
HD4 | 3 | X axis offset from rotation axis A to rotation axis C, origin WCS
HD5 | 4 | Y axis offset from rotation axis A to rotation axis C, origin WCS
HD6 | 5 | Z axis offset from rotation axis A to rotation axis C, origin WCS
HD7 | 6 | X offset from machine origin MNP to rotation axis A
HD8 | 7 | Y offset from machine origin MNP to rotation axis A
HD9 | 8 | Z offset from machine origin MNP to rotation axis A
HD10 | 9 | Rotation offset A axis
HD11 | 10 | Rotation offset C axis
HD12 | 11 | Flag of rotation direction A axis
HD13 | 12 | Flag of rotation direction C axis


Cardan kinematics

More:

button KIN_TYP_59

button KIN_TYP_60


KIN_TYP_59

The kinematic structure of this machine consists of three translatory and two rotary axes in tool.The A axis is rotated arround the Y-axis with an angle != 90 degrees,. typical 30 up to 60 degrees.

Axis configuration in NC channel
Axis designation | X, Y, Z, C A
Axis index | 0, 1, 2, 3, 4
Kinematic structure
 | Tool axes | Workpiece axes
NC axes | X,Y, Z, C, A | -

Figure 2-55: Cardan kinematic with CA- head

Figure 2-56: Offsets of cardanic CA-head kinematic

Offset data of kinematic:

HD-Offset | param[i] | Description
HD1 | 0 | Z- Offset to tool fixpoint
HD2 | 1 | X- Offset to tool fixpoint
HD3 | 2 | Y- Offset to tool fixpoint
HD4 | 3 | X- Offset from compensation point (SP) to A-axis
HD5 | 4 | Y- Offset from compensation point (SP) to A-axis
HD6 | 5 | Z- Offset from compensation point (SP) to A-axis
HD7 | 6 | Angle between A-axis and Z-axis
HD8 | 7 | X- Offset A-axis to C-axis
HD9 | 8 | Y- Offset A-axis to C-axis
HD10 | 9 | Z- Offset A-axis to C-axis
HD11 | 10 | X- Offset from C-axis to machine point M
HD12 | 11 | Y- Offset from C-axis to machine point M
HD13 | 12 | Z- Offset from C-axis to machine point M
HD14 | 13 | Rotary offset C-axis
HD15 | 14 | Rotary Offset A-axis
HD21 | 20 | Control flag: 0: Transformation of rotary axes C and A , default. 1: No transformation of rotary axes, C and A are machine angles.

In general the reference point named ARP is located in reference point named SP, this means the vector V3 is 0 and the reference point SP is located in tool axis which has the same rotation axis than the C-axis. In this case only the parameters L, HD1, HD7 and HD10 are necessary.

Figure 2-57: Cardan head with ideal head geometry (intersection of C and A axis is located in tool axis)

Figure 2- 58 : Cardan head with offset in head geometry (no intersection of C axis and tool axis)


KIN_TYP_60

The kinematic structure of this machine consists of three translatory and two rotary axes in tool.The B axis is rotated arround the X-axis with an angle != 90 degrees, typical 30 up to 60 degrees.

Axis configuration in NC channel
Axis designation | X, Y, Z, C B
Axis index | 0, 1, 2, 3, 4
Kinematic structure
 | Tool axes | Workpiece axes
NC axes | X,Y, Z, C, B | -

Figure 2-59: Cardan kinematic with CB- head

Figure 2-60:Offsets of cardanic CB-head kinematic

Offset data of kinematic:

HD-Offset | param[i] | Description
HD1 | 0 | Z- Offset to tool fixpoint
HD2 | 1 | X- Offset to tool fixpoint
HD3 | 2 | Y- Offset to tool fixpoint
HD4 | 3 | X- Offset from compensation point (SP) to B-axis
HD5 | 4 | Y- Offset from compensation point (SP) to B-axis
HD6 | 5 | Z- Offset from compensation point (SP) to B-axis
HD7 | 6 | Angle between B-axis and Z-axis
HD8 | 7 | X- Offset B-axis to C-axis
HD9 | 8 | Y- Offset B-axis to C-axis
HD10 | 9 | Z- Offset B-axis to C-axis
HD11 | 10 | X- Offset from C-axis to machine point M
HD12 | 11 | Y- Offset from C-axis to machine point M
HD13 | 12 | Z- Offset from C-axis to machine point M
HD14 | 13 | Rotary offset C-axis
HD15 | 14 | Rotary Offset B-axis
HD21 | 20 | Control flag: 0: Transformation of rotary axes C and B , default. 1: No transformation of rotary axes, C and B are machine angles.

In general the reference point named ARP is located in reference point named SP, this means the vector V3 is 0 and the reference point SP is located in tool axis which has the same rotation axis than the C-axis. In this case only the parameters L, HD1, HD7 and HD10 are necessary.

Figure 2-61: Cardan head with ideal head geometry (intersection of C and B axis located in tool axis)


KIN_TYP_61

More:

button Kinematic structure


Kinematic structure

The kinematic structure of this machine consists of one translatory and one rotary axis in workpiece and two translatory axes and one rotary axis in tool.

Axis configuration in NC channel
Axis designation | X, Y, Z, A, B
Axis index | 0, 1, 2, 3, 4
Kinematic structure
 | Tool axes | Workpiece axes
NC axes | Y, Z, B | X, A

Figure 2-62: Axis configuration of machine

Figure 2-63: Offsets of tool head

Figure 2-64: Offsets of workpiece holder

Figure 2-65: Ideal and real z- zero position

In ideal case there exists one intersection point of the rotary axis A in workpiece and the rotary axis B in tool in zero position of kinematic structure. In this case the machine axis positions of tool slider are zero. This position normally cannot be reached with an real machine structure. The necessary offset to zero position of tool slider to this position can be set with parameters HD7, HD8, HD9.

Offset data of kinematic:

HD-Offset | param[i] | Description
HD1 | 0 | Z-offset tool rotation point B-axis to tool holder fix point
HD2 | 1 | X- offset tool rotation point B-axis to tool holder fix point
HD3 | 2 | Y- offset tool rotation point B-axis to tool holder fix point
HD4 | 3 | X-offset rotation point B-axis to tool slide reference point
HD5 | 4 | Y-offset rotation point B-axis to tool slide reference point
HD6 | 5 | Z-offset rotation point B-axis to tool slide reference point
HD7 | 6 | X-offset to machine-zero point
HD8 | 7 | Y-offset to machine-zero point
HD9 | 8 | Z-offset to machine-zero point
HD10 | 9 | X-offset A-axis to zero point WCS
HD11 | 10 | Y-offset A-axis to zero point WCS
HD12 | 11 | Z-offset A-axis to zero point WCS
HD13 | 12 | Rotary Offset A-axis
HD14 | 13 | Rotary Offset B-axis
HD15 | 14 | Rotation direction flag A-axis
HD16 | 15 | Rotation direction flag B-axis


KIN_TYP_63

More:

button Kinematic structure


Kinematic structure

The kinematic structure of this machine consists of one translatory and one rotary axis in workpiece and two translatory axes and one rotary axis in tool. The transformation supports additional offset parameters for non symetrical construction and substitutes the kinematic structure KIN_TYP_23.

Axis configuration in NC channel
Axis designation | X, Y, Z, A, B
Axis index | 0, 1, 2, 3, 4
Kinematic structure
 | Tool axes | Workpiece axes
NC axes | Y, Z, A | X, B

Figure 2-66: Axis configuration of machine

Figure 2-67: Offsets of tool head

Figure 2-68: Offsets of workpiece holder

Figure 2-69: Ideal and real z- zero position

In ideal case there exists one intersection point of the rotary axis B in workpiece and the rotary axis A in tool in zero position of kinematic structure. In this case the machine axis positions of tool slider are zero. This position normally cannot be reached with an real machine structure. The necessary offset to zero position of tool slider to this position can be set with parameters HD7, HD8, HD9.

Offset data of kinematic:

HD-Offset | param[i] | Description
HD1 | 0 | Z-offset tool rotation point A-axis to tool holder fix point
HD2 | 1 | X- offset tool rotation point A-axis to tool holder fix point
HD3 | 2 | Y- offset tool rotation point A-axis to tool holder fix point
HD4 | 3 | X-offset rotation point A-axis to tool slide reference point
HD5 | 4 | Y-offset rotation point A-axis to tool slide reference point
HD6 | 5 | Z-offset rotation point A-axis to tool slide reference point
HD7 | 6 | X-offset to machine-zero point
HD8 | 7 | Y-offset to machine-zero point
HD9 | 8 | Z-offset to machine-zero point
HD10 | 9 | X-offset B-axis to zero point WCS
HD11 | 10 | Y-offset B-axis to zero point WCS
HD12 | 11 | Z-offset B-axis to zero point WCS
HD13 | 12 | Rotary Offset A-axis
HD14 | 13 | Rotary Offset B-axis
HD15 | 14 | Rotation direction flag A-axis
HD16 | 15 | Rotation direction flag B-axis


KIN_TYP_70

More:

button Kinematic structure


Kinematic structure

The kinematic structure of this machine consists of three translatory and two rotary axes in tool. This kinematic supports non parallel parallel fixed tool rotation axis B-A to workpiece axes. A virtual axis CV can be used for modification of tool orientation.

Axis configuration in NC channel
Axis designation | X, Y, Z, B, A, CV
Axis index | 0, 1, 2, 3, 4, 5
Kinematic structure
 | Tool axes | Workpiece axes
NC axes | X, Y, Z, B, A, CV | -

Figure 2-70: Axis configuration of machine

Figure 2-71: Offsets of tool head

Offset data of kinematic:

HD-Offset | param[i] | Description
HD1 | 0 | Z- Offset to tool fixpoint
HD2 | 1 | X - Offset
HD3 | 2 | Y - Offset
HD4 | 3 | Z - Offset
HD5 | 4 | X- Offset to tool fixpoint
HD6 | 5 | Y- Offset to tool fixpoint
HD7 | 6 | Rotary offset A axis
HD8 | 7 | Rotary offset B axis
HD9 | 8 | Rotation sign A axis
HD10 | 9 | Rotation sign B axis
HD14 | 13 | Rotary offset of tool head around Z axis (head position)

Figure 2-72: Rotation angle Offset of tool head

The CV axis is not a physical real existing axis of the kinematic structure. This axis rotates the tool orientation vector around z, this means the angles A and B are calculated depending on the angle of CV . One application can be the perpendicular aligning of one component of tool direction vector depending to programmed contour . For it a simulation axis has to be configured and can be used as usual in NC program.

The permissible ange range of A and B axes is +- 90 degrees.


KIN_TYP_24

More:

button Kinematic Structure


Kinematic Structure

Dynamil strut kinematic with 3 platform pillars and 6 machine axes

Figure 3-1: Dynamil machine with parallel kinematic structure


KIN_TYP_45

More:

button Kinematic Structure


Kinematic Structure

Articulated robot with 6 machine axes.

Figure 3-2: Articulated six-axes robot


Classification of transformations

Depending on their characteristics the transformations in cap. 2,3 can be classified in the following way:

Transformation ID | Type of transformation | Characteristics
1 | RTCP | 5 machine axes
2 | RTCP | 5 machine axes
3 | RTCP | 4 machine axes
4 | RTCP | 4 machine axes
5 | RTCP | 4 machine axes
6 | RTCP | 4 machine axes
7 | RTCP | 4 machine axes
8 | RTCP | 4 machine axes
9 | RTCP | 5 machine axes
10 | RTCP | 5 machine axes
11 | RTCP | 5 machine axes
12 | complete | parallel kinematic structure with 3 machine axes, constant orientation.
16 | RTCP | 5 machine axes.
17 | RTCP | 3 machine axes, 2 manual axes
18 | RTCP | 3 machine axes, 2 manual axes
19 | complete | parallel kinematic structure with 3 axes, 5 machine axes.
20 | complete | same as ID 18 + scissor transformation, automatic calculation of orientation for spherical surface.
21 | complete | LAMBA kinematic with compensation of rotary C axis, constant orientation, 4 machine axes.
23 | RTCP | 5 machine axes.
24 | complete | parallel kinematic structure with 3 pillars and 6 axes, 6 machine axes
30 | RTCP | 4 machine axes
33 | RTCP | 5 machine axes
34 | RTCP | 4 machine axes
36 | RTCP | 4 machine axes, SCARA
52 | RTCP | 5 machine axes
57 | RTCP | Rotary/swivel table, 5 machine axes
58 | RTCP | Rotary/swivel table, 5 machine axes
59 | RTCP | Cardan kinematic, 5 machine axes
60 | RTCP | Cardan kinematic, 5 machine axes
61 | RTCP | 5 machine axes
63 | RTCP | 5 machine axes